MAGFILTER(3CgFX)

NAME
MagFilter - 3D API mag filter

USAGE
MagFilter = int(type)

VALID ENUMERANTS
type: Point, Nearest, Linear

DESCRIPTION
Set the sampler magnification filter type. See the GL_TEXTURE_MAG_FILTER description on the OpenGL glTexParameter manual page for details. See the D3DSAMP_MAGFILTER sampler state description for DirectX 9.

The standard reset callback sets the MagFilter state to int(Point).

OPENGL FUNCTIONALITY REQUIREMENTS
Not applicable.

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
MagFilteri, GenerateMipmap, Texture, Texture1D, Texture1DEnable, Texture2D, Texture2DEnable, Texture3D, Texture3DEnable, TextureCubeMap, TextureCubeMapEnable, TextureEnvMode, TextureFactor, TextureRectangle, TextureRectangleEnable, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias